#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int n;
    cin>>n;
    int x[n], y[n];
    for(int i=0; i<n; i++)
    {
        cin>>x[i]>>y[i];
    }
    if(n<4){
        cout<<0;
    }
    if(n=4){
        cout<<1;
    }
    if(n>5)
    {
        cout<<3;
    }

    return 0;
}